<?php

namespace itguild\forms\traits;

trait CreateOption
{
    /**
     * @param array $options
     * @param $value
     * @return string
     */
    public function createOption(array $options, $value = null): string
    {
        $optionsString = "";
        if (is_array($value)) {
            foreach ($options as $val => $title) {
                $selected = in_array($title, $value) ? "selected" : "";
                $optionsString .= "<option $selected value='$val'>$title</option>";
            }
        } else {
            foreach ($options as $val => $title) {
                $selected = (int)$value === $val ? "selected" : "";
                $optionsString .= "<option $selected value='$val'>$title</option>";
            }
        }

        return $optionsString;
    }
}